<?php



/**

 * 会员注册登录

 */

namespace Mobile\Controller;

use Common\Controller\PhonegameController;

class WangyouController extends PhonegameController {
    //登录
	public function index() {

        

        /*最新游戏*/

        $User = M('m_game'); // 实例化User对象
        $count      = $User->where('isdisplay=1')->count();// 查询满足要求的总记录数
        $Page       = new \Think\Page($count,10);// 实例化分页类 传入总记录数和每页显示的记录数(25)
            
        

        $show       = $Page->show();// 分页显示输出
        // 进行分页数据查询 注意limit方法的参数要使用Page类的属性
        $list = $User->where('isdisplay=1')->order('addtime desc')->limit($Page->firstRow.','.$Page->listRows)->select();
        $this->assign('ngame',$list);// 赋值数据集
        $this->assign('page',$show);// 赋值分页输出
        
        

        //$map['isdisplay'] = 1;

        //$ngame = M('m_game')->where($map)->order('addtime desc')->limit('10')->select();
        //$this->assign('ngame',$ngame);

        $type  = array('1'=>'休闲益智','2'=>'网络游戏','3'=>'体育竞速','4'=>'角色扮演','5'=>'飞行射击','6'=>'策略经营','7'=>'卡片棋牌','8'=>'动作冒险');
        $lan  = array('1'=>'中文','0'=>'英文');
        $this->assign ('lan',$lan);
        $this->assign ('type', $type);

        $this->display($this->template.'/template1'.'/Wangyou'.'/index');
        

    }

    public function  hot(){

        

        $User = M('m_game'); // 实例化User对象
        $count      = $User->where('isdisplay=1')->count();// 查询满足要求的总记录数
        $Page       = new \Think\Page($count,10);// 实例化分页类 传入总记录数和每页显示的记录数(25)
            
        

        $show       = $Page->show();// 分页显示输出
        // 进行分页数据查询 注意limit方法的参数要使用Page类的属性
        $list = $User->where('isdisplay=1')->order('downloadnum desc')->limit($Page->firstRow.','.$Page->listRows)->select();
        $this->assign('games',$list);// 赋值数据集
        $this->assign('page',$show);// 赋值分页输出
        

        

        $type  = array('1'=>'休闲益智','2'=>'网络游戏','3'=>'体育竞速','4'=>'角色扮演','5'=>'飞行射击','6'=>'策略经营','7'=>'卡片棋牌','8'=>'动作冒险');
        $lan  = array('1'=>'中文','0'=>'英文');
        $this->assign ('lan',$lan);
        $this->assign ('type', $type);
      
        
        $this->display($this->template.'/template1'.'/Wangyou'.'/hot');
    }

    public function server(){

        $User = M('m_server'); // 实例化User对象
        $now = strtotime(date('Y-m-d H:i:s'));
        $map['start_time'] = array(lt,$now);
        $map['isstop'] = 1;
        $map['is_display'] = 1;
        $count      = $User->where($map)->count();// 查询满足要求的总记录数
        $Page       = new \Think\Page($count,10);// 实例化分页类 传入总记录数和每页显示的记录数(25)
            
        $show       = $Page->show();// 分页显示输出
        // 进行分页数据查询 注意limit方法的参数要使用Page类的属性
        $list = $User->where($map)->limit($Page->firstRow.','.$Page->listRows)->select();

        $this->assign('server',$list);// 赋值数据集
        $this->assign('page',$show);// 赋值分页输出

        $this->display($this->template.'/template1'.'/Wangyou'.'/server');

        
        
        
    }

    public function ceshi(){

        $User = M('m_server'); // 实例化User对象
        $now = strtotime(date('Y-m-d H:i:s'));
        
        $map['start_time'] = array(gt,$now);
        $map['isstop'] = 1;
        $map['is_display'] = 1;
        $count      = $User->where($map)->count();// 查询满足要求的总记录数
        $Page       = new \Think\Page($count,10);// 实例化分页类 传入总记录数和每页显示的记录数(25)
            
        $show       = $Page->show();// 分页显示输出
        // 进行分页数据查询 注意limit方法的参数要使用Page类的属性
        $list = $User->where($map)->limit($Page->firstRow.','.$Page->listRows)->select();

        $this->assign('server',$list);// 赋值数据集
        $this->assign('page',$show);// 赋值分页输出

        $this->display($this->template.'/template1'.'/Wangyou'.'/ceshi');

    }

    
    
}

